<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_91) on Fri Dec 07 15:00:34 GMT 2018 -->
<title>Key</title>
<meta name="date" content="2018-12-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Key";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../mapping/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Key.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../mapping/AdvancedMappingPopup.html" title="class in mapping"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../mapping/Key.DisplayType.html" title="enum in mapping"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?mapping/Key.html" target="_top">Frames</a></li>
<li><a href="Key.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">mapping</div>
<h2 title="Class Key" class="title">Class Key</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>mapping.Key</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Key</span>
extends java.lang.Object</pre>
<div class="block">Class to represent a key on the keyboard. Each key belongs to a KeyMap object. 
 The key is identified by the unique key identifier, this is a combination of 
 the name and location.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Matthew Henderson - University of Glasgow Masters Project 2018</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Key.DisplayType.html" title="enum in mapping">Key.DisplayType</a></span></code>
<div class="block">Enums to represent the display that has been assign to the key.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../mapping/Key.html#Key-java.lang.String-java.lang.String-int-">Key</a></span>(java.lang.String&nbsp;keyName,
   java.lang.String&nbsp;location,
   int&nbsp;keyCode)</code>
<div class="block">Constructs the key object</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../mapping/Key.DisplayType.html" title="enum in mapping">Key.DisplayType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Key.html#getDisplayType--">getDisplayType</a></span>()</code>
<div class="block">Returns the enum which describes the way the key will be displayed.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.awt.image.BufferedImage</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Key.html#getImage--">getImage</a></span>()</code>
<div class="block">Returns the image that the user has defined to be displayed on the 
 mapped key.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Key.html#getKeyName--">getKeyName</a></span>()</code>
<div class="block">Returns the name of the keyboard key.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Key.html#getLocation--">getLocation</a></span>()</code>
<div class="block">Returns the location of the key on the keyboard.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Key.html#getMappingUnicode--">getMappingUnicode</a></span>()</code>
<div class="block">Returns the unicode that the key has been mapped to.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Key.html#getTextOverlay--">getTextOverlay</a></span>()</code>
<div class="block">Returns the user defined text overlay for the key.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Key.html#getUniqueKeyIdentifier--">getUniqueKeyIdentifier</a></span>()</code>
<div class="block">Get the String used to uniquely identify the key.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Key.html#getVkKeyCode--">getVkKeyCode</a></span>()</code>
<div class="block">Returns the VK key code of the key.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Key.html#isDefaultDisplay--">isDefaultDisplay</a></span>()</code>
<div class="block">Returns whether the display type of the key is set to the default character
 representation of the mapping unicode.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Key.html#isImageOverlay--">isImageOverlay</a></span>()</code>
<div class="block">Returns whether the display type of the key is set to image overlay.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Key.html#isMapped--">isMapped</a></span>()</code>
<div class="block">Returns whether the key is mapped.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Key.html#isRandomised--">isRandomised</a></span>()</code>
<div class="block">Returns whether the key is randomised.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Key.html#isTextOverlay--">isTextOverlay</a></span>()</code>
<div class="block">Returns whether the display type of the key is set to text overlay.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Key.html#isTrigger--">isTrigger</a></span>()</code>
<div class="block">Returns whether key is assigned as the trigger of the keymap.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Key.html#randomise--">randomise</a></span>()</code>
<div class="block">Sets the key as randomised.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Key.html#removeCustomDisplay--">removeCustomDisplay</a></span>()</code>
<div class="block">Removes any display associated with the key.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Key.html#restoreToDefault--">restoreToDefault</a></span>()</code>
<div class="block">Removes all modification from the key.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Key.html#setAsTrigger--">setAsTrigger</a></span>()</code>
<div class="block">Set the key as a trigger key for the keyboard map.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Key.html#setImage-java.awt.image.BufferedImage-">setImage</a></span>(java.awt.image.BufferedImage&nbsp;img)</code>
<div class="block">Set the image overlay associated the key.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Key.html#setMapping-java.lang.String-">setMapping</a></span>(java.lang.String&nbsp;unicode)</code>
<div class="block">Set the unicode character that the key will be mapped to.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Key.html#setTextOverlay-java.lang.String-">setTextOverlay</a></span>(java.lang.String&nbsp;textOverlay)</code>
<div class="block">Sets the text overlay associated with the key.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Key-java.lang.String-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Key</h4>
<pre>public&nbsp;Key(java.lang.String&nbsp;keyName,
           java.lang.String&nbsp;location,
           int&nbsp;keyCode)</pre>
<div class="block">Constructs the key object</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>keyName</code> - the name of the key as defined by the java KeyEvent class
                                        e.g. ctrl, home, a...</dd>
<dd><code>location</code> - the location of the key on the keyboard according the
                                        java KeyEvent class e.g left, right, numpad...</dd>
<dd><code>keyCode</code> - the virtual key code that is used to identify the key 
                                        in the windows operating system</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isTrigger--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTrigger</h4>
<pre>public&nbsp;boolean&nbsp;isTrigger()</pre>
<div class="block">Returns whether key is assigned as the trigger of the keymap.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>returns <code>true</code> if the key is the trigger, 
                        <code>false</code> otherwise</dd>
</dl>
</li>
</ul>
<a name="isMapped--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isMapped</h4>
<pre>public&nbsp;boolean&nbsp;isMapped()</pre>
<div class="block">Returns whether the key is mapped.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>returns <code>true</code> if the key is mapped,
                        <code>false</code> otherwise</dd>
</dl>
</li>
</ul>
<a name="isRandomised--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRandomised</h4>
<pre>public&nbsp;boolean&nbsp;isRandomised()</pre>
<div class="block">Returns whether the key is randomised.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>returns <code>true</code> if the key is randomised,
                        <code>false</code> otherwise</dd>
</dl>
</li>
</ul>
<a name="getVkKeyCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVkKeyCode</h4>
<pre>public&nbsp;int&nbsp;getVkKeyCode()</pre>
<div class="block">Returns the VK key code of the key. This is the code that identifies the 
 key in the windows operating system. Having this information is useful for 
 identifying and overwriting key presses. The value is sometimes quoted as a 
 hex string. However, the integer representation was chosen here to avoid
 confusion with the default Unicode value of the key.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the VK key code of the key</dd>
</dl>
</li>
</ul>
<a name="getDisplayType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDisplayType</h4>
<pre>public&nbsp;<a href="../mapping/Key.DisplayType.html" title="enum in mapping">Key.DisplayType</a>&nbsp;getDisplayType()</pre>
<div class="block">Returns the enum which describes the way the key will be displayed. 
 DEFAULT means the mappings default unicode character will be displayed, 
 TEXT means that that user defined text will be overlayed on the key and 
 IMAGE means that an image the user has uploaded will be displayed.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the display type</dd>
</dl>
</li>
</ul>
<a name="getLocation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLocation</h4>
<pre>public&nbsp;java.lang.String&nbsp;getLocation()</pre>
<div class="block">Returns the location of the key on the keyboard. 
 Possible locations are standard, unknown, left, right and numpad.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the location of the key on the keyboard</dd>
</dl>
</li>
</ul>
<a name="getTextOverlay--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTextOverlay</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTextOverlay()</pre>
<div class="block">Returns the user defined text overlay for the key.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the text overlay</dd>
</dl>
</li>
</ul>
<a name="getKeyName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKeyName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getKeyName()</pre>
<div class="block">Returns the name of the keyboard key. 
 This is defined by java's own key names found in the native 
 KeyEvent class.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name of the key</dd>
</dl>
</li>
</ul>
<a name="getImage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getImage</h4>
<pre>public&nbsp;java.awt.image.BufferedImage&nbsp;getImage()</pre>
<div class="block">Returns the image that the user has defined to be displayed on the 
 mapped key.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the image to be displayed</dd>
</dl>
</li>
</ul>
<a name="getMappingUnicode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMappingUnicode</h4>
<pre>public&nbsp;java.lang.String&nbsp;getMappingUnicode()</pre>
<div class="block">Returns the unicode that the key has been mapped to.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the unicode mapping</dd>
</dl>
</li>
</ul>
<a name="getUniqueKeyIdentifier--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUniqueKeyIdentifier</h4>
<pre>public&nbsp;java.lang.String&nbsp;getUniqueKeyIdentifier()</pre>
<div class="block">Get the String used to uniquely identify the key. 
 This is a combination of the key name and the key location.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the unique String used to identify the key</dd>
</dl>
</li>
</ul>
<a name="setImage-java.awt.image.BufferedImage-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setImage</h4>
<pre>public&nbsp;void&nbsp;setImage(java.awt.image.BufferedImage&nbsp;img)</pre>
<div class="block">Set the image overlay associated the key.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>img</code> - the image to be set as overlay for the key</dd>
</dl>
</li>
</ul>
<a name="setMapping-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMapping</h4>
<pre>public&nbsp;void&nbsp;setMapping(java.lang.String&nbsp;unicode)</pre>
<div class="block">Set the unicode character that the key will be mapped to.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>unicode</code> - the unicode character as a unicode hex String</dd>
</dl>
</li>
</ul>
<a name="setAsTrigger--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAsTrigger</h4>
<pre>public&nbsp;void&nbsp;setAsTrigger()</pre>
<div class="block">Set the key as a trigger key for the keyboard map.
 Trigger keys are ones that activate the mapping when pressed.</div>
</li>
</ul>
<a name="randomise--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>randomise</h4>
<pre>public&nbsp;void&nbsp;randomise()</pre>
<div class="block">Sets the key as randomised. This will ensure the key is marked
 as randomised in the XML document that is output by the programme.</div>
</li>
</ul>
<a name="setTextOverlay-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTextOverlay</h4>
<pre>public&nbsp;void&nbsp;setTextOverlay(java.lang.String&nbsp;textOverlay)</pre>
<div class="block">Sets the text overlay associated with the key.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>textOverlay</code> - the text to be set as the overlay for the key</dd>
</dl>
</li>
</ul>
<a name="removeCustomDisplay--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeCustomDisplay</h4>
<pre>public&nbsp;void&nbsp;removeCustomDisplay()</pre>
<div class="block">Removes any display associated with the key.</div>
</li>
</ul>
<a name="isTextOverlay--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTextOverlay</h4>
<pre>public&nbsp;boolean&nbsp;isTextOverlay()</pre>
<div class="block">Returns whether the display type of the key is set to text overlay.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>returns <code>true</code> if the display type is set to text  
                        overlay, <code>false</code> otherwise</dd>
</dl>
</li>
</ul>
<a name="isImageOverlay--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isImageOverlay</h4>
<pre>public&nbsp;boolean&nbsp;isImageOverlay()</pre>
<div class="block">Returns whether the display type of the key is set to image overlay.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>returns <code>true</code> if the display type is set to image  
                        overlay, <code>false</code> otherwise</dd>
</dl>
</li>
</ul>
<a name="isDefaultDisplay--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDefaultDisplay</h4>
<pre>public&nbsp;boolean&nbsp;isDefaultDisplay()</pre>
<div class="block">Returns whether the display type of the key is set to the default character
 representation of the mapping unicode.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>returns <code>true</code> if the display type is set to default  
                        character representation, <code>false</code> otherwise.</dd>
</dl>
</li>
</ul>
<a name="restoreToDefault--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>restoreToDefault</h4>
<pre>public&nbsp;void&nbsp;restoreToDefault()</pre>
<div class="block">Removes all modification from the key. Completely resets to default state.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../mapping/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Key.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../mapping/AdvancedMappingPopup.html" title="class in mapping"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../mapping/Key.DisplayType.html" title="enum in mapping"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?mapping/Key.html" target="_top">Frames</a></li>
<li><a href="Key.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
